### Method

# Gtk.CellArea.get_cell_allocation

#### Declaration [src]

    void
    gtk_cell_area_get_cell_allocation (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      GtkCellRenderer* renderer,
      const GdkRectangle* cell_area,
      GdkRectangle* allocation
    )

#### Description [src]

Derives the allocation of `renderer` inside `area` if `area` were to be renderered in `cell_area`.

#### Parameters

`context` | `GtkCellAreaContext`
| the `GtkCellAreaContext` used to hold sizes for `area`.
| Ownership is not transferred to the callee
`widget` | `GtkWidget`
| the `GtkWidget` that `area` is rendering on
| Ownership is not transferred to the callee
`renderer` | `GtkCellRenderer`
| the `GtkCellRenderer` to get the allocation for
| Ownership is not transferred to the callee
`cell_area` | `const GdkRectangle*`
| the whole allocated area for `area` in `widget` for this row
| Ownership is not transferred to the callee
`allocation` | `GdkRectangle*`
| where to store the allocation for `renderer`
| Direction: out
| Ownership is not transferred to the callee